[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85State

Encoder state enumeration

## Declaration

Source position: ascii85.pp line 29

`type TASCII85State = (`
`ascInitial,` |  | Initial state
`ascOneEncodedChar,` |  | One encoded character in buffer.
`ascTwoEncodedChars,` |  | Two encoded characters in buffer.
`ascThreeEncodedChars,` |  | Three encoded characters in buffer.
`ascFourEncodedChars,` |  | Four encoded characters in buffer.
`ascNoEncodedChar,` |  | No encoded characters in buffer.
`ascPrefix` |  | Prefix processing
`);`

## Description

TASCII85State is for internal use, it contains the current state of the decoder.

## See also

TASCII85DecoderStream |  | ASCII 85 decoder stream.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.